Plasma 5.16 Release
Closed, ResolvedPublic

Description

Plasma 5.16 will be released in June. This is the list of things we will need to do to guarantee a successful launch:

Some of these may have to spun off as subtasks.

paulb created this task.Apr 27 2019, 6:26 AM
paulb triaged this task as High priority.
paulb mentioned this in E497: Plasma 5.16.0.
paulb added a comment.EditedApr 27 2019, 6:35 AM

Wallpaper thoughts:

  • Ask @kvermette what he wants to do first
  • Web page with rules + form to submit
  • Promo campaign to get the word out
  • Rope in VDG as judges
  • Should we have a prize? Maybe a trip to Akademy?
  • We need the wallpaper in variety of sizes. It would be good to get one for Plasma Mobile, too
xyquadrat updated the task description. (Show Details)Apr 27 2019, 7:09 AM
xyquadrat added a subscriber: kvermette.
GB_2 added a comment.Apr 29 2019, 5:25 PM

Got no response from @kvermette to the email I sent a few days ago. If we want to do the wallpaper contest we should start preparing it now, before it's too late.

paulb added a comment.Apr 29 2019, 7:57 PM
In T10855#183349, @GB_2 wrote:

Got no response from @kvermette to the email I sent a few days ago. If we want to do the wallpaper contest we should start preparing it now, before it's too late.

Agreed. We need somewhere participants can upload and display their entries. How can we do that?

In T10855#183349, @GB_2 wrote:

Got no response from @kvermette to the email I sent a few days ago. If we want to do the wallpaper contest we should start preparing it now, before it's too late.

Agreed. We need somewhere participants can upload and display their entries. How can we do that?

If we had spare time, I could throw a site together. Because this isn't the case, I'd recommend using the KDE forums for it, despite it's shortcomings. If somebody can create a site until maybe May 2nd (two weeks before tagging), that would be even better.

ognarb added a subscriber: ognarb.Apr 29 2019, 9:19 PM
In T10855#183349, @GB_2 wrote:

Got no response from @kvermette to the email I sent a few days ago. If we want to do the wallpaper contest we should start preparing it now, before it's too late.

Agreed. We need somewhere participants can upload and display their entries. How can we do that?

A way would be to create a wiki page in the community wiki where each contestant can upload one wallpaper and after a specific deadline create a framadate poll. The advantage of the wiki is that we let anybody with a KDE Identity account upload a wallpaper, and framadate is open source and allow including images.

Another way would be to send all submission to an email address and after the deadline create the framadate poll.

GB_2 added a comment.EditedApr 30 2019, 3:35 PM

I think letting people use the forum is the best option, more people see it and can give feedback to wallpapers.

paulb added a subscriber: VDG.EditedMay 1 2019, 11:40 AM
In T10855#183484, @GB_2 wrote:

I think letting people use the forum is the best option, more people see it and can give feedback to wallpapers.

I would say this is the best option. It opens up the competition a bit, as you only have to post a message to the thread in the forum and you don't have a bunch of people messing around with the wiki.

I say we start the thread in the Visual Design Group forum, make it sticky for the duration of the competition, and, when participants submit an entry, put it on wiki page we layout and manage.

As for deciding on the winner, I am totally against a popular vote. That is the best way to get trolls to vote for something totally inappropriate which will then force us to walk it back and look like idiots. So no open polls. We talk to the people of the VDG and they decide the one that gets picked.

GB_2 added a comment.May 1 2019, 11:42 AM

Good plan.

Is the VDG on board with this? Can we get an "Amen!" from their side? When we get that, I can set up an empty page we will start populating with the submissions, and then get somebody to post a sticky message to the forums.

I would also like to ask @colomar, @apol, @abetts, @lydia and @hein what sort of incentive we can offer the winner... Maybe a ticket to Akademy 2019?

With those three things in place we can start announcing the competition everywhere.

Amen brotha! Let's do it.

Note the key date is Plasma 5.16 Beta on Thu 16 May. That is the announcement which gets the most press and the announcement which is 95% the same as the final one typically.

paulb added a comment.May 1 2019, 1:18 PM

Amen brotha! Let's do it.

Great! One more thing ticked. Thanks @ngraham.

abetts added a comment.May 1 2019, 7:10 PM

Food for thought, do we want to have requirements as to what the final image should be like? SVG, PNG, JPG? Resolutions?

GB_2 added a comment.May 1 2019, 7:20 PM

Food for thought, do we want to have requirements as to what the final image should be like? SVG, PNG, JPG? Resolutions?

The current wallpaper is PNG and the highest size is 3840x2160 (4k). I think it should stay that way, but the resolution can be higher.

GB_2 added a comment.May 1 2019, 7:20 PM

A source SVG would be great too.

filipf added a subscriber: filipf.May 1 2019, 7:23 PM
In T10855#183708, @GB_2 wrote:

Food for thought, do we want to have requirements as to what the final image should be like? SVG, PNG, JPG? Resolutions?

The current wallpaper is PNG and the highest size is 3840x2160 (4k). I think it should stay that way, but the resolution can be higher.

Was just about to say the same. There are some 5K monitors out there so maybe our instructions can be: 4K minimum, 5K if possible.

Here's a list of all the resolutions we have been using:

1024x768
1280x800
1280x1024
1366x768
1440x900
1600x1200
1638x1024
1680x1050
1920x1080
1920x1200
2560x1440
2560x1600
3200x1800
3200x2000
3840x2160
GB_2 added a comment.May 1 2019, 7:26 PM

We should do further discussion in T10875.

abetts added a comment.May 1 2019, 7:28 PM
In T10855#183713, @GB_2 wrote:

We should do further discussion in T10875.

Thanks guys

Devs are adding new features to this pad which I'll turn into the announce before the beta
https://notes.kde.org/p/plasma_5_16

Michael Tunnell of TuxDigital.com made videos for 5.13 announce, I've asked if he is interested in making one for this.

Video already in process by xyquadrat veggero and Paul

Final announce taking shape now here
https://kde.org/announcements/plasma-5.16.0.php
Mind that I'm the Plasma release manager and discussions and decisions about the Plasma announcements need to be done along with me and the rest of the Plasma team.
Discussions can happen here or on the Plasma channel.

Final announce taking shape now here
https://kde.org/announcements/plasma-5.16.0.php

Would you like editing and proofreadings of that?

Mind that I'm the Plasma release manager and discussions and decisions about the Plasma announcements need to be done along with me and the rest of the Plasma team.

Yes, of course.

Discussions can happen here or on the Plasma channel.

As in the IRC channel or on the Plasma workboard that that is linking to?

Final announce taking shape now here
https://kde.org/announcements/plasma-5.16.0.php

Would you like editing and proofreadings of that?

Yes please, translations are happening now so any changes should be done sooner rather than later. Deadline probably June 4.

Discussions can happen here or on the Plasma channel.

As in the IRC channel or on the Plasma workboard that that is linking to?

Yeah IRC/Matrix channel
https://webchat.kde.org/#/room/#freenode_#plasma:kde.org

paulb added a comment.May 20 2019, 2:50 PM

Deadline probably June 4.

Perfect. I will make sure an edited updated version is delivered before then.

paulb updated the task description. (Show Details)Mon, Jun 3, 6:54 AM

Announcement is written and is here: https://share.kde.org/s/A2i6BCxiZADtJDC

You will also find a bunch of updated and consistent-looking screenshots (with the new wallpaper!) courtesy of @Lucas .

ognarb updated the task description. (Show Details)Mon, Jun 3, 7:24 AM
GB_2 updated the task description. (Show Details)Mon, Jun 3, 5:20 PM

Carl now has the lock on the announcement which needs turned into PHP/HTML today.

Carl's stuff is now in and it's ready to be translated

@jriddell Hi. https://kde.org/announcements/plasma-5.16.0.php links to Matrix chatroom "citehmi", should probably link to Plasma chatroom instead.

xyquadrat updated the task description. (Show Details)Tue, Jun 11, 1:15 PM

Welp, it's released! Can we close this?

Welp, it's released! Can we close this?

I'm not sure if the "press release" item from the task description is something we're going to do. If not, then yeah, we can close it. :)

Thanks for your great work, everyone!

paulb closed this task as Resolved.Mon, Jun 17, 11:22 AM